import React from "react";
import { IRouterProvider } from "@pankod/refine-core";
import { useLocation, Link, RouteProps, BrowserRouterProps } from "react-router-dom";
import { BrowserRouterComponent, MemoryRouterComponent, HashRouterComponent } from "./routerComponent";
export declare type RefineRouteProps = RouteProps & {
    layout?: boolean;
};
interface IReactRouterProvider extends IRouterProvider {
    useLocation: typeof useLocation;
    Link: typeof Link;
    useParams: <Params extends {
        [K in keyof Params]?: string;
    } = {}>() => Params;
    RouterComponent: React.FC<BrowserRouterProps>;
    routes?: RefineRouteProps[];
}
declare const RouterProvider: IReactRouterProvider;
export * from "react-router-dom";
export default RouterProvider;
export { MemoryRouterComponent, HashRouterComponent, BrowserRouterComponent };
//# sourceMappingURL=index.d.ts.map